> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integration statistics

> Get transaction statistics for a specific Plaid integration



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/banks/integrationStats
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/integrationStats:
    get:
      tags:
        - Banks
      summary: Get integration statistics
      description: Get transaction statistics for a specific Plaid integration
      operationId: getIntegrationStats
      parameters:
        - name: integrationId
          in: query
          description: Id of the integration
          required: true
          schema:
            type: integer
            format: int64
        - name: startDate
          in: query
          description: Start date filter for transaction counts (inclusive)
          schema:
            type: string
          example: '2025-01-01'
        - name: endDate
          in: query
          description: End date filter for transaction counts (inclusive)
          schema:
            type: string
          example: '2025-12-31'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationStatsDTO'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    IntegrationStatsDTO:
      required:
        - bankAccounts
        - integration
      type: object
      properties:
        integration:
          $ref: '#/components/schemas/IntegrationDTOV5'
        bankAccounts:
          type: array
          description: List of associated bank accounts with their transaction statistics
          readOnly: true
          items:
            $ref: '#/components/schemas/BankAccountStatsDTO'
    IntegrationDTOV5:
      required:
        - apiAccessToken
        - apiName
        - status
      type: object
      properties:
        id:
          type: string
          description: Id of the integration
        status:
          type: string
          description: Status of the integration
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
        apiAccessToken:
          type: string
          description: Access token of the integration
          example: access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147
        apiName:
          type: string
          description: Name of the integration's API
          example: STRIPE
          enum:
            - STRIPE
            - PLAID
            - GUSTO
            - RUTTER
            - UNIT
        businessId:
          type: string
          description: Id of the business the integration is linked to
          example: '1234567'
        canAcceptPayments:
          type: boolean
          description: >-
            Indicates if the integration can be used for accepting payments,
            e.g. with Stripe
          example: false
        merchantId:
          type: string
          description: >-
            Id with various uses depending on the associated integration, listed
            below


            `STRIPE` - A publicly accessible key used to identify your account
            with Stripe, for use within client-side code. See [Stripe
            docs](https://stripe.com/docs/keys) for Publishable Key


            `GUSTO` - The UUID of the company associated with your Gusto account


            `PLAID` - N/A, will always be `null`
          example: pk_test_TYooMQauvdEDq54NiTphI7jx
        apiUserId:
          type: string
          description: User id with various uses depending on the associated integration
          example: acct_1PFwTDkSKQCPcs
        resetRequired:
          type: boolean
          description: >-
            Indicates if there is an issue with the integration, requiring a
            reset from the user
          example: false
        createdDate:
          type: string
          description: Date the integration was created
          format: date-time
        lastSyncedDate:
          type: string
          description: Date the last time data was synced from the integration
          format: date-time
        lastApiSyncedDate:
          type: string
          description: Date of the last attempt to sync data from the integration
          format: date-time
          readOnly: true
        lastInstitutionTranDate:
          type: string
          description: >-
            Date of most recent transaction under the same institution as this
            integration, relevant for Plaid only
          format: date-time
        tokenStatus:
          type: string
          description: Whether the access token has been invalidated or not
          readOnly: true
          example: SUCCESS
          enum:
            - SUCCESS
            - FAILURE_TOKEN_INVALIDATED
        additionalConsentRequired:
          type: boolean
          description: >-
            Flag to indicate additional user consent is required to access all
            features available on this integration. Commonly used to indicate
            there are more available products on a Plaid Item.
        apiInstitutionName:
          type: string
          description: Name of the institution of the integration
          example: Citi
        apiInstitutionId:
          type: string
          description: Id of the institution of the integration
          example: ins_4
        apiErrorCode:
          type: string
          description: The specific error code. Intended for programmatic use
          example: ITEM_LOGIN_REQUIRED
        apiErrorDisplayMessage:
          type: string
          description: A user-friendly description of the error code. Can change over time
          example: >-
            The user did not grant the necessary permissions for this product on
            their account.
        apiErrorMessage:
          type: string
          description: A developer-friendly description of the error. Can change over time
          example: >-
            the login details of this item have changed (credentials, MFA, or
            required user action) and a user login is required to update this
            information. use Link's update mode to restore the item to a good
            state
        apiErrorType:
          type: string
          description: A broad categorization of the error. Intended for programmatic use
          example: ITEM_ERROR
        glAccountId:
          type: string
          description: >-
            General ledger account id, referencing an account in the chart of
            accounts
          example: '1234567'
        apiIntegrationId:
          type: string
          description: Id of the integration in the API
          example: '1234567'
        historicalReady:
          type: boolean
          description: Indicates that historical transactions are available
          readOnly: true
          example: true
        initialReady:
          type: boolean
          description: Indicates that initial transactions are available
          readOnly: true
          example: true
    BankAccountStatsDTO:
      required:
        - id
        - tightTransactions
        - totalPlaidTransactions
      type: object
      properties:
        id:
          type: string
          description: Id of the bank account
          readOnly: true
        latestPlaidTransactionDate:
          type: string
          description: Date of the latest Plaid transaction
          format: date
          readOnly: true
        latestTightTransactionDate:
          type: string
          description: Date of the latest Tight transaction
          format: date
          readOnly: true
        totalPlaidTransactions:
          type: integer
          description: Total count of Plaid transactions
          format: int64
          readOnly: true
        tightTransactions:
          $ref: '#/components/schemas/TightTransactionStatsDTO'
      description: List of associated bank accounts with their transaction statistics
      readOnly: true
    TightTransactionStatsDTO:
      required:
        - total
        - totalByApiName
      type: object
      properties:
        total:
          type: integer
          description: Total count of Tight transactions
          format: int64
          readOnly: true
        totalByApiName:
          type: object
          additionalProperties:
            type: integer
            description: Breakdown of transaction counts by apiName
            format: int64
            readOnly: true
          description: Breakdown of transaction counts by apiName
          readOnly: true
      description: Tight transactions with breakdown by apiName
      readOnly: true
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````